package com.onedirect.kp_intent;

import com.getcapacitor.JSObject;
import com.getcapacitor.NativePlugin;
import com.getcapacitor.Plugin;
import com.getcapacitor.PluginCall;
import com.getcapacitor.PluginMethod;
import com.getcapacitor.JSObject;
import com.getcapacitor.NativePlugin;
import com.getcapacitor.Plugin;
import com.getcapacitor.PluginCall;
import com.getcapacitor.PluginMethod;
import android.content.Intent;
import android.net.Uri;

@NativePlugin(
   requestCodes={MyPlugin.REQUEST_IMAGE_PICK} // register request code(s) for intent results
)
public class kp_intent extends Plugin {
    protected static final int REQUEST_IMAGE_PICK = 12345; // Unique request code

    @PluginMethod()

    public void openMomo(PluginCall call) {
        String value = call.getString("momoURI");

        saveCall(call);
        Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(value));

        startActivityForResult(call, intent, REQUEST_IMAGE_PICK);
        }

    // in order to handle the intents result, you have to @Override handleOnActivityResult
    @Override
    protected void handleOnActivityResult(int requestCode, int resultCode, Intent data) {
        super.handleOnActivityResult(requestCode, resultCode, data);

        // Get the previously saved call
        PluginCall savedCall = getSavedCall();

        if (savedCall == null) {
        return;
        }
        if (requestCode == REQUEST_IMAGE_PICK) {
        // Do something with the data
        call.resolve(data);
        }
    }
}

